:root
    // see functions/interpolation.styl for an explanation of this function
    interpolation('font-size', calc-interpolation, 480px, 1680px, 13px, 19px)

html
    text-rendering optimizeLegibility
    -webkit-font-smoothing antialiased
    -moz-osx-font-smoothing grayscale

body
select
input
textarea
    font-family $ff--body
    font-weight $fw--normal
    line-height $lh--body
    font-size inherit
    letter-spacing $ls--body
    color $cl--light

h1
h2
h3
h4
    display block
    line-height $lh--heading
    font-family $ff--heading
    font-weight $fw--heading
    letter-spacing $ls--heading
    color $cl--med

    a
    a:visited
        color $cl--anchor

        &:active
        &:hover
        &:focus
            color $cl--anchor--interact

h1
    max-width ($ll * .5)ch
    fz-scale--four()

    * + &
        sp-scale--four()

h2
    max-width ($ll * .5)ch
    fz-scale--three()

    * + &
        sp-scale--three()

h3
    max-width ($ll * .7)ch
    fz-scale--two()

    * + &
        sp-scale--two()

h4
    max-width ($ll - 10)ch
    fz-scale--one()

    * + &
        sp-scale--one()

p
    width auto
    mt()
    max-width 100%
    font-family $ff--body
    font-size $fz--base
    line-height $lh--body
    letter-spacing $ls--body
    color $cl--med

    h1 + &
    h2 + &
    h3 + &
        margin-top $sp--third

    h4 + &
        margin-top $sp--half

    // add this class to paragraph content to constrain it to a readable line-length
    // avoid setting paragraph line-lengths globally so they don't need to be overridden
    .reading_content &
    &.reading_content
        width ($ll)ch

        > a
        > a:visited
            color $cl--anchor

            &:active
            &:hover
            &:focus
                color $cl--anchor--interact

a
a:visited
    trans()
    cursor pointer
    text-decoration none

b
strong
    font-weight 600
    font-family $ff--body

i
em
    font-style italic
    font-family $ff--body

::selection
    background-color $cl--first
    text-shadow 0 0 .1em $cl--first--dark
    color white

.reading_content
    width 100%

    ul
    ol
    dl
        display block
        width 100%
        max-width ($ll)ch
        padding-left 3ch

    & * + ul
    & * + ol
    & * + dl
        margin-top $sp--two-thirds

    ul
        list-style-type disc

    ul ul
        list-style-type circle

    ul ul ul
        list-style-type square

    ol
        list-style-type decimal

    ol ol
        list-style-type lower-alpha

    ol ol ol
        list-style-type lower-roman

    li
        max-width 100%

        ul
        ol

            &:first-child
                margin-top $sp--half

    * + li
        margin-top $sp--half

sup
    vertical-align super
    fz-scale--minus-one()
